## trisquel-app-install 0.6.10

=== data/Makefile ===

DOMAIN=trisquel-app-install
DESKTOP_IN_FILES := $(wildcard *.desktop.in)
DESKTOP_FILES := $(patsubst %.desktop.in,%.desktop,$(wildcard *.desktop.in))

SCHEMAS_IN_FILES := $(wildcard *.gschema.xml.in)
SCHEMAS_FILES := $(patsubst %.gschema.xml.in,%.gschema.xml,$(wildcard *.gschema.xml.in))

all: $(DESKTOP_FILES) $(SCHEMAS_FILES)

%.desktop: %.desktop.in ../po/$(DOMAIN).pot
	intltool-merge -d ../po $< $@

%.schemas: %.gschema.xml.in ../po/$(DOMAIN).pot
	intltool-merge -d ../po $< $@

=== help/sv/Makefile ===

TOP_DOCDIR=../C/

index.docbook: sv.po
	po2xml $(TOP_DOCDIR)/$@ $<  > $@

## trisquel-app-install 0.6.0-3

=== debian/changelog ===
trisquel-app-install (0.6.0-3) etiona; urgency=medium

  * Fix root password requirement in KDE

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 12 Jun 2020 12:07:00 -0600

trisquel-app-install (0.6.0-2) etiona; urgency=medium

  * Fixed bug on window management and list update mechanism

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 05 Jun 2020 13:54:00 -0600

trisquel-app-install (0.6.0-1) etiona; urgency=medium

  * Rename to trisquel-app-install
  * Gtk2 - > Gtk3
  * Python 2 -> Python 3
  * gksu -> pkexec
  * Sort by popularity by default
  * Various bug fixes

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 07 Dec 2019 13:52:10 -0800

gnome-app-install (0.5.60.1ubuntu2trisquel8-1) flidas; urgency=medium

  * Depend on synaptic 

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 08 Apr 2017 17:48:22 -0400

gnome-app-install (0.5.60.1ubuntu2trisquel8) flidas; urgency=medium

  * Updated for flidas, fixed category icon loading

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 07 Apr 2017 20:47:49 -0400

gnome-app-install (0.5.60.1ubuntu2trisquel6-8) belenos; urgency=low

  * Fixed bug on multiple selections
  * Fixed untranslated chains
  * Fixed package description and translations

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 06 Dec 2014 06:26:51 +0100

gnome-app-install (0.5.60.1ubuntu2trisquel6-7) toutatis; urgency=low

  * Fixed #12010

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 07 Aug 2014 03:29:59 +0200

gnome-app-install (0.5.60.1ubuntu2trisquel6-6) toutatis; urgency=low

  * Fixed gnome-app-install search

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Jul 2014 21:02:50 +0200

gnome-app-install (0.5.60.1ubuntu2trisquel6-5) belenos; urgency=low

  * Update for new python-apt API

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 19 May 2014 19:59:53 +0200

gnome-app-install (0.5.60.1ubuntu2trisquel6-4) slaine; urgency=low

  * Updated AppDescView.py to fix packages with no description failing
    to load

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 15 Mar 2012 15:17:56 +0100

gnome-app-install (0.5.60.1ubuntu2trisquel6-3) slaine; urgency=low

  * Updated AppDescView.py to fix descriptions failing to load in
    brigantia

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 15 Mar 2012 14:34:39 +0100

gnome-app-install (0.5.60.1ubuntu2trisquel6-2) slaine; urgency=low

  * Now provids software-center, fixes #4105

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Nov 2011 02:28:14 +0100

gnome-app-install (0.5.60.1ubuntu2trisquel6-1) slaine; urgency=low

  * Removed python-sexy dependency

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 18 Jul 2011 03:06:09 +0200

gnome-app-install (0.5.60.1ubuntu2trisquel6) slaine; urgency=low

  * AppInstall/AppInstallApp.py
    - Fixed progress window failing to close on cache update

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 18 Jan 2011 02:57:22 +0000

gnome-app-install (0.5.60.1ubuntu2trisquel5) slaine; urgency=low

  * Updated spanish and galician translations

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 13 Jan 2011 02:50:52 +0000

gnome-app-install (0.5.60.1ubuntu2trisquel4) slaine; urgency=low

  * Backend changed to synaptic
  * Changed "Get screenshot" chain to "Screenshot"
  * Removed splash screen chain about third party vendors
  * Removed libgtkhtml2 dependency

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 13 Jan 2011 01:23:21 +0000

gnome-app-install (0.5.60.1ubuntu2trisquel3) taranis; urgency=low

  * Menu entry shows in all desktops

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 16 Sep 2010 02:01:42 +0000

gnome-app-install (0.5.60.1ubuntu2trisquel2) taranis; urgency=low

  * Removed xfce icon

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 05 Sep 2010 17:05:23 +0000

gnome-app-install (0.5.60.1ubuntu2trisquel1) awen; urgency=low

  * Removed non-free recommendation system

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 17 Feb 2010 14:30:18 +0000

gnome-app-install (0.5.60.1ubuntu2) karmic; urgency=low

  * no change upload to get mo files build again (LP: #456757)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Oct 2009 18:10:26 +0200

gnome-app-install (0.5.60.1ubuntu1) karmic; urgency=low

  * AppInstall/Menu.py:
    - do not crash if a Icon can not be loaded (LP: #406850)
  * fix crash when opening with specific activation style 
    (LP: #391555)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Sep 2009 13:28:00 +0200

gnome-app-install (0.5.60.1) unstable; urgency=low

  * Do not raise an error if the translation can not be found.

 -- Julian Andres Klode <jak@debian.org>  Fri, 21 Aug 2009 13:34:36 +0200

gnome-app-install (0.5.60) unstable; urgency=low

  * New release to be shared by Debian and Ubuntu (Closes: #537235).
  * AppInstall/widgets/AppDescView.py:
    - Add a button to fetch a screenshot (like synaptic)
    - Use UTF-8 bullets.
    - Use a new description formatter which should produce better results.
  * Rename AppInstall/AppInstall.py to AppInstall/AppInstallApp.py to
    not cause confusion between the package and the module.
  * Use gettext.install() to install _() into the builtin namespace, this is
    much faster than using gettext.gettext each time.  
  * AppInstall/SimpleGtkbuilderApp.py:
    - Call set_translation_domain() so translations work correctly.
  * AppInstall/distros/__init__.py:
    - Detect the currently running System via lsb_release.
  * AppInstall/distros/Debian.py:


=== debian/control ===
Source: trisquel-app-install
Section: gnome
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: GNOME-App-Install Developers <g-a-i-devel@lists.alioth.debian.org>
Uploaders: Julian Andres Klode <jak@debian.org>, Michael Vogt <mvo@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               gettext,
               intltool,
               python3-nose,
               python3-all,
               python3-distutils-extra (>= 1.91),
	       python3-setuptools
Standards-Version: 3.8.3
XS-Python-Version: current
Vcs-Bzr: http://bzr.debian.org/g-a-i/debian-sid/
Vcs-Browser: http://bzr.debian.org/loggerhead/g-a-i/debian-sid/

Package: trisquel-app-install
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         app-install-data (>= 0.4.0),
         gnome-icon-theme,
         python3-apt (>= 0.7.4ubuntu4),
         python3-dbus,
         python3-gdbm,
         gir1.2-gstreamer-1.0,
         python3-xdg (>= 0.8),
         synaptic
Recommends: yelp, lsb-release
Provides: software-center, gnome-app-install
Replaces: gnome-app-install
Conflicts: gnome-app-install
Description: Trisquell Application Installer
 A pretty application installer for Trisquel.

## trisquel-app-install 0.6.5

=== debian/changelog ===
trisquel-app-install (0.6.5) nabia; urgency=medium

  * Restore hidden=True for etiona compatibility

 --  Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Feb 2022 08:53:56 -0600

trisquel-app-install (0.6.4) nabia; urgency=medium

  * Updated help info and images

 --  Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 29 Jan 2022 22:35:17 -0600

trisquel-app-install (0.6.3) nabia; urgency=medium

  * Removed png application icons

 --  Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 25 Jan 2022 18:23:32 -0500

trisquel-app-install (0.6.2) nabia; urgency=medium

  * Fixed url opening and visuals
  * Corrected icons

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 22 Nov 2021 20:18:54 +0100

trisquel-app-install (0.6.1) nabia; urgency=medium

  * Handle missing url tag
  * Handle 404 on thumbnails
  * Correct way to request hidden entries from xdg
  * Only connect signals on main window

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 30 Sep 2021 17:54:31 -0200

trisquel-app-install (0.6.0-4) nabia; urgency=medium

  * Remove offending keyword argument 'hidden'

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 29 Sep 2021 15:55:13 -0500

## trisquel-app-install 0.6.8

=== debian/changelog ===
trisquel-app-install (0.6.8) aramo; urgency=medium

  * Fixed progressbar
  * Fixed typo in package description, improved control file fields

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 07 Dec 2022 18:31:16 -0500

trisquel-app-install (0.6.7) aramo; urgency=medium

  * Updated Spanish and Galician translations
  * Changed Ubuntu & Canonical to Trisquel
  * Fixed text about pattent-encumbered codecs

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 14 Oct 2022 14:10:04 +0200

trisquel-app-install (0.6.6) aramo; urgency=medium

  * Apply fix show_hidden for aramo release.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 21 Sep 2022 17:47:04 -0500

## trisquel-app-install 0.6.9

=== debian/changelog ===
trisquel-app-install (0.6.9) ecne; urgency=medium

  * Fixed update call on empy value
  * Workaround distutils deprecation in python3.12

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jul 2025 15:47:34 -0600

## trisquel-app-install 0.6.10

=== debian/changelog ===
trisquel-app-install (0.6.10) ecne; urgency=medium

  * Set XFCE icon to only show on XFCE, avoid duplicate on LXDE

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 09 Sep 2025 21:40:09 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: GNOME-App-Install Developers <g-a-i-devel@lists.alioth.debian.org>
-Uploaders: Julian Andres Klode <jak@debian.org>, Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
                gettext,
@@ -14,8 +13,8 @@
 	       python3-setuptools
 Standards-Version: 3.8.3
 XS-Python-Version: current
-Vcs-Bzr: http://bzr.debian.org/g-a-i/debian-sid/
-Vcs-Browser: http://bzr.debian.org/loggerhead/g-a-i/debian-sid/
+Vcs-Git: https://gitlab.trisquel.org/trisquel/trisquel-app-install.git
+Vcs-Browser: https://gitlab.trisquel.org/trisquel/trisquel-app-install/
 
 Package: trisquel-app-install
 Architecture: all
@@ -33,5 +32,5 @@
 Provides: software-center, gnome-app-install
 Replaces: gnome-app-install
 Conflicts: gnome-app-install
-Description: Trisquell Application Installer
+Description: Trisquel Application Installer
  A pretty application installer for Trisquel.

=== debian/rules ===
#!/usr/bin/make -f
share:=usr/share/trisquel-app-install/
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build AppInstall/Version.py gnome_app_install.egg-info

# Install the modules in a private directory, as our applications are the
# only ones using them.
override_dh_auto_install:
	dh_auto_install -- --install-dir /usr/share/trisquel-app-install/
	#rm -r debian/trisquel-app-install/usr/share/trisquel-app-install/*.egg-info
	# Move the scripts to $(SHARE) and relink them again later.
	mv debian/trisquel-app-install/usr/*bin/* debian/trisquel-app-install/$(share)
	rmdir debian/trisquel-app-install/usr/*bin
	dh_link $(share)/trisquel-app-install usr/bin/trisquel-app-install \
	        $(share)/update-app-install usr/sbin/update-app-install \
			$(share)/trisquel-app-install-helper usr/sbin/trisquel-app-install-helper
	# Remove empty directories.
	find debian/trisquel-app-install/usr -type d -empty -delete

## trisquel-app-install 0.6.10.1

=== debian/changelog ===
trisquel-app-install (0.6.10.1) ecne; urgency=medium

  * Set XFCE icon to only show on XFCE, avoid duplicate on LXDE
    and others.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 09 Sep 2025 21:40:09 -0600
